SET LINESIZE 32767
select 
	TABLESPACE_NAME O,
	CONTENTS ^Cv,
	EXTENT_MANAGEMENT GNXegǗ,
	round(FSIZE/1000000) "TCY(M)",
	(FSIZE-FREESIZE)/1000000 "gp(M)"
from
	DBA_TABLESPACES,
(
	select 
		V$TABLESPACE.NAME TNAME1,
		sum(BYTES) FSIZE
	from V$TABLESPACE,V$DATAFILE
	where
		V$TABLESPACE.TS# = V$DATAFILE.TS#
	group by V$TABLESPACE.NAME
) TSIZE,
(
	select 
		TABLESPACE_NAME AS TNAME2,
		sum(BYTES) AS FREESIZE 
	from DBA_FREE_SPACE
	group by TABLESPACE_NAME
) TFREE
where
	TABLESPACE_NAME = TNAME1 and
	TABLESPACE_NAME = TNAME2;
EXIT
